#ifndef __WeatherStation_h__
#define __WeatherStation_h__

// PVSCL:IFCOND(Temperature)
#include <Sensors/Temperature.h>
// PVSCL:ENDCOND
  
// PVSCL:IFCOND(AirPressure)  
#include <Sensors/Pressure.h>
// PVSCL:ENDCOND
  
// PVSCL:IFCOND(WindSpeed)  
#include <Sensors/WindSpeed.h>
// PVSCL:ENDCOND  

#include <Display/Console.h>

class WeatherStation {

  Console     m_Console;
  
// PVSCL:IFCOND(Temperature)
  Temperature m_Temp;
// PVSCL:ENDCOND
  
// PVSCL:IFCOND(AirPressure)  
  Pressure    m_Pressure;
// PVSCL:ENDCOND
  
// PVSCL:IFCOND(WindSpeed)  
  WindSpeed   m_WindSpeed;
// PVSCL:ENDCOND  
  
 public:
  WeatherStation();
  void run();
};

#endif
